Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class SourceExtensionHandler

    java.lang.Object
      org.codehaus.groovy.control.SourceExtensionHandler

    public class SourceExtensionHandler
    extends java.lang.Object

Looks for source file extensions in META-INF/services/org.codehaus.groovy.source.Extensions

Method Summary
`static java.util.Set` | `getRegisteredExtensions(java.lang.ClassLoader loader)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getRegisteredExtensions

    public static java.util.Set getRegisteredExtensions(java.lang.ClassLoader loader)

Groovy Documentation